%define srcname pyudev

Summary:          A libudev binding
Name:             python-%{srcname}
Version:          0.19.0
Release:          %mkrel 1
Source0:          http://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
License:          LGPLv2+
URL:              https://pypi.python.org/pypi/pyudev
Group:            Development/Python
BuildArch:        noarch
BuildRequires:    pythonegg(2)(setuptools)
BuildRequires:    pkgconfig(udev)
Provides:         python-udev = %{version}-%{release}
Provides:         pyudev = %{version}-%{release}
Obsoletes:        pyudev < 0.16.1-4
Requires:         udev
Recommends:       python-gobject

%description
pyudev is a Python binding to libudev, the hardware management library
and service found in modern linux systems.

%package -n python3-%{srcname}
Summary:          A libudev binding
Group:            Development/Python
BuildRequires:    pythonegg(3)(setuptools)
Provides:         python3-udev = %{version}-%{release}

%description -n python3-%{srcname}
pyudev is a Python binding to libudev, the hardware management library
and service found in modern linux systems.

%package -n python-%{srcname}-qt4
Summary:          Qt4 integration for pyudev
Group:            Development/Python

Requires:         python-qt4
Requires:         python-%{srcname} = %{version}-%{release}

%description -n python-%{srcname}-qt4
Qt4 integration for pyudev.

This package provides a module pyudev.pyqt4 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%package -n python-%{srcname}-qt5
Summary:          Qt5 integration for pyudev
Group:            Development/Python

Requires:         python-qt5
Requires:         python-%{srcname} = %{version}-%{release}

%description -n python-%{srcname}-qt5
Qt5 integration for pyudev.

This package provides a module pyudev.pyqt5 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%package -n python3-%{srcname}-qt4
Summary:          Qt4 integration for pyudev
Group:            Development/Python

Requires:         python3-qt4
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt4
Qt4 integration for pyudev.

This package provides a module pyudev.pyqt4 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%package -n python3-%{srcname}-qt5
Summary:          Qt5 integration for pyudev
Group:            Development/Python

Requires:         python3-qt5
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt5
Qt5 integration for pyudev.

This package provides a module pyudev.pyqt5 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf pyudev.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files 
%license COPYING
%doc README.rst CHANGES.rst
%{python2_sitelib}/pyudev/
%{python2_sitelib}/pyudev-%{version}-*.egg-info
%exclude %{python2_sitelib}/pyudev/pyqt4.py*
%exclude %{python2_sitelib}/pyudev/pyqt5.py*

%files -n python-%{srcname}-qt4
%license COPYING
%{python2_sitelib}/pyudev/pyqt4.py*

%files -n python-%{srcname}-qt5
%license COPYING
%{python2_sitelib}/pyudev/pyqt5.py*

%files -n python3-%{srcname}
%license COPYING
%doc README.rst CHANGES.rst
%{python3_sitelib}/pyudev
%{python3_sitelib}/pyudev-%{version}-*.egg-info
%exclude %{python3_sitelib}/pyudev/pyqt4.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt4.*
%exclude %{python3_sitelib}/pyudev/pyqt5.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt5.*

%files -n python3-%{srcname}-qt4
%license COPYING
%{python3_sitelib}/pyudev/pyqt4.py
%{python3_sitelib}/pyudev/__pycache__/pyqt4.*

%files -n python3-%{srcname}-qt5
%license COPYING
%{python3_sitelib}/pyudev/pyqt5.py
%{python3_sitelib}/pyudev/__pycache__/pyqt5.*



%changelog
* Tue Feb 16 2016 philippem <philippem> 0.19.0-1.mga6
+ Revision: 962620
- update to 0.19.0

* Wed Dec 30 2015 philippem <philippem> 0.18.1-1.mga6
+ Revision: 916947
- update to 0.18.1, split qt in subpackages

* Thu Oct 08 2015 tv <tv> 0.17-2.mga6
+ Revision: 887448
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 0.17-1.mga6
+ Revision: 881345
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.16.1-10.mga5
+ Revision: 748139
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.16.1-9.mga5
+ Revision: 729607
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.1-8.mga5
+ Revision: 688288
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.16.1-7.mga5
+ Revision: 628972
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.16.1-6.mga4
+ Revision: 544166
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.16.1-5.mga4
+ Revision: 499275
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 15 2013 philippem <philippem> 0.16.1-4.mga4
+ Revision: 480072
- rename pyudev as python-pyudev
- rename pyudev as python-pyudev

* Wed Sep 11 2013 philippem <philippem> 0.16.1-3.mga4
+ Revision: 477734
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.16.1-2.mga3
+ Revision: 379758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 0.16.1-1.mga3
+ Revision: 310280
- new version 0.16.1

* Fri Dec 16 2011 tv <tv> 0.13-1.mga2
+ Revision: 182863
- new release

* Sat Oct 08 2011 fwang <fwang> 0.12-1.mga2
+ Revision: 152901
- imported package pyudev

